www/p5-Apache-SSI - The NetBSD Packages Collection

Perl5 module to implement Server Side Includes

Apache::SSI implements the functionality of mod_include for handling
server-parsed html documents.  It runs under Apache's mod_perl.  In my mind,
there are two main reasons you might want to use this module: you can
sub-class it to implement your own custom SSI directives, and/or you can
parse the output of other mod_perl handlers, or send the SSI output through
another handler (use Apache::Filter to do this).

Build dependencies

www/apache24 pkgtools/cwrappers www/apache24 lang/perl5

Runtime dependencies

www/p5-HTML-SimpleParse lang/perl5 lang/perl5 www/ap2-perl www/ap2-perl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Apache-SSI-2.19nb13.tgz
NetBSD 8.0earmv7hfp5-Apache-SSI-2.19nb12.tgz
NetBSD 8.0earmv7hfp5-Apache-SSI-2.19nb13.tgz
NetBSD 8.0i386p5-Apache-SSI-2.19nb12.tgz
NetBSD 8.0i386p5-Apache-SSI-2.19nb13.tgz
NetBSD 8.0powerpcp5-Apache-SSI-2.19nb12.tgz
NetBSD 8.0powerpcp5-Apache-SSI-2.19nb13.tgz
NetBSD 8.0powerpcp5-Apache-SSI-2.19nb13.tgz
NetBSD 8.0powerpcp5-Apache-SSI-2.19nb13.tgz
NetBSD 8.0x86_64p5-Apache-SSI-2.19nb12.tgz
NetBSD 8.0x86_64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0aarch64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0aarch64p5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0aarch64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0alphap5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0alphap5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0alphap5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0earmp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0earmp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0earmp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0earmv6hfp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0earmv6hfp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0earmv6hfp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0earmv7hfp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0earmv7hfp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0earmv7hfp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0earmv7hfp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0i386p5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0i386p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0mips64ebp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0mips64ebp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0mips64ebp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0mips64ebp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0mips64ebp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0powerpcp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0powerpcp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0powerpcp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0powerpcp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0sparc64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0sparc64p5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0sparc64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0sparcp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0sparcp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0sparcp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0sparcp5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0sparcp5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0x86_64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0x86_64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0x86_64p5-Apache-SSI-2.19nb12.tgz
NetBSD 9.0x86_64p5-Apache-SSI-2.19nb13.tgz
NetBSD 9.0x86_64p5-Apache-SSI-2.19nb13.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.